// A Sky Factory example
// saving files with append
#declare P_CloudLn=
   pigment {
    bozo
    turbulence 0.65
    octaves 6
    omega 0.7
    lambda 2
    color_map {
        [0.0 rgb<0.85,0.85,0.85> ]
        [0.1 rgb<0.75,0.75,0.75> ]
        [0.5 rgbt<1,1,1,1> ]
   }
    scale <6, 1, 6>
   }
#declare P_CloudLf=
   pigment {
    bozo
    turbulence 0.65
    octaves 6
    omega 0.7
    lambda 2
    color_map {
        [0.0 rgb<0.85,0.85,0.85> ]
        [0.1 rgb<0.75,0.75,0.75> ]
        [0.5 rgbt<1,1,1,1> ]
   }
    scale <6, 1, 6>
   }
#declare LRsky= 
  box{<-250000,-499.9,-89.9> ,<250000,499.9,19999.9> 
     pigment{gradient z
           pigment_map{[0.1 P_CloudLn scale <0.00450002,0.0450002,0.00450002> ]
                       [0.5 P_CloudLf scale <0.100001,0.105001,0.100001> ]}
           turbulence<0,0,0> 
           scale 19999.9}
    finish{ambient<0.9,0.9,0.9>  diffuse 0}
    no_shadow
    hollow}


object{LRsky}

sky_sphere{pigment{cylindrical
  color_map{[0 rgb<0.5647,0.198,0.06922> ][0.9 rgb<1,0.9008,0.1> ]}
  scale .5
  rotate x*90
  warp{turbulence<0.2,0.2,0.2> }
 }}

//______Perview camera_______
 camera{ location <0,0,0>
         look_at <0,0,1>
         right x*image_width/image_height
       }
#declare P_CloudHn =
   pigment {
    ripples
    turbulence<.65,.7,.5>
    octaves 6
    omega 0.707
    lambda 3
    color_map {
        [.4  rgbt <1,1,1,1> ]
        [.47 rgb<0.6941,0.6941,0.7196> ]
        [.7  rgb<0.4941,0.4941,0.5196> ]
        [.8  rgbt<1,1,1,1> ]
   }
    scale <8, 4, 8>
   }
#declare P_CloudHf = pigment{rgbt 1}
#declare LRsky= 
  box{<-250006,-506,-96> ,<250006,506,20006> 
     pigment{gradient z
           pigment_map{[0.1 P_CloudHn scale <0.0249925,0.039988,0.0274917> ]
                       [0.5 P_CloudHf scale <0.09997,0.124962,0.09997> ]}
           turbulence<0,0,0> 
           scale 20006}
    finish{ambient<0.9,0.9,0.9>  diffuse 0}
    no_shadow
    hollow}


object{LRsky}

sky_sphere{pigment{gradient y
  color_map{[0 rgb<0.9196,0.9608,1> ][0.3 rgb<0.1647,0.198,0.7922> ]}
  warp{repeat y flip y}
  warp{turbulence<0.01,0.01,0> }
 }}

//______Perview camera_______
 camera{ location <0,0,0>
         look_at <0,0,1>
         right x*image_width/image_height
       }
